package com.atlassian.stash.internal.web.soy.functions.nav;

import com.atlassian.soy.renderer.JsExpression;
import com.atlassian.bitbucket.nav.NavBuilder;

public class ProjectNavFunction extends BaseProjectNavFunction {

    public ProjectNavFunction(NavBuilder navBuilder) {
        super(navBuilder, "nav_project");
    }

    @Override
    protected JsNavBuilder initJsBuilder(JsExpression... jsExpressions) {
        return new JsNavBuilder().project(jsExpressions[0]).withParamsIfAvailable(jsExpressions, 1);
    }

    @Override
    protected NavBuilder.Builder initBuilder(Object... args) {
        return project(args);
    }

}
